<div id="content">
    <div id="alert"></div>
    <div style="overflow-x: auto">
        <div id="error-message" class="alert alert-danger" role="alert" style="display: none"></div>

        <table class="table table-condensed">
            <tr>
                <th width="20px">&{'nomor.label'}</th>
                <th width="400">&{'produk.label'}</th>
                <th width="75">&{'jumlah.label'}</th>
                <th width="75">&{'daerah_id.label'}</th>
                <th width="20px" class="text-center"></th>
            </tr>
            #{list items:produkList, as:'produk'}
            <tr>
                <td>${produk_index}</td>
                <td>${produk?.produkName}</td>
                <td>
                    <input type="text" name="jumlah" class="form-control input-sm" value="${produk?.jumlah}"/>
                </td>
                <td>
                    ${produk?.daerahId}
                </td>
                <td>
                    <a href="#" onclick="removeFromBasket(${produk?.produkId});" class="btn btn-danger" name="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a>
                </td>
            </tr>
            #{/list}
        </table>
    </div>
    <div>
        <button type="button" onclick="updateFromBasket();" class="btn btn-success">&{'perbaharui.label'}</button>
    </div>

<script language="JavaScript">
    function removeFromBasket(produkId) {
        var loadUrl = "@{purchasing.KeranjangBelanjaCtr.listBasket()}";
        $.ajax({
            url: '@{purchasing.KeranjangBelanjaCtr.removeFromBasket()}',
            data: {"produkId": produkId},
            type: 'POST',
            success: function (res) {
                if (res.result === 'ok')
                    $('#alert').html('<div class="alert alert-success">Berhasil hapus barang dari keranjang belanja </div>');
                else if(res.result === 'empty')
                    $('#alert').html('<div class="alert alert-danger">Gagal hapus dari keranjang belanja, Produk Kosong</div>');
                else
                    $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal hapus barang dari keranjang belanja</div>');

                $("#content").load(loadUrl);
            },
            error: function () {
                $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal hapus barang dari keranjang belanja</div>');
                $("#listBasket").load(loadUrl);
            }
        });
    }

    function updateFromBasket() {
        var jumlah = $('input[name="jumlah"]').map(function(){return $(this).val();}).get();
        var loadUrl = "@{purchasing.KeranjangBelanjaCtr.listBasket()}";
        $.ajax({
            url: '@{purchasing.KeranjangBelanjaCtr.updateFromBasket()}',
            data: {"jumlah": jumlah},
            type: 'POST',
            success: function (res) {
                if (res.result === 'ok')
                    $('#alert').html('<div class="alert alert-success">Berhasil Update barang di keranjang belanja </div>');
                else if(res.result === 'empty')
                    $('#alert').html('<div class="alert alert-danger">Gagal update di keranjang belanja, Produk Kosong</div>');
                else
                    $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal update barang di keranjang belanja</div>');

                $("#listBasket").load(loadUrl);
            },
            error: function () {
                $('#alert').html('<div class="alert alert-danger">Terjadi Kesalahan, Gagal update barang di keranjang belanja</div>');
                $("#listBasket").load(loadUrl);
            }
        });
    }
</script>

</div>